---
title: How to List Roles a User Can Assume
url: https://docs.vultr.com/platform/iam/roles/role-trusts/how-to-list-roles-a-user-can-assume
description: List all IAM roles that a specific user can assume on Vultr. View available assumable roles based on configured trust relationships through the IAM API.
publish_date: 2026-03-24T19:52:26.268415Z
last_updated: 2026-04-08T16:03:11.433950Z
---

Listing the roles a user can assume allows you to see all assumable roles that have a trust relationship granting the user access. This is useful for understanding what elevated permissions a user can temporarily activate.

This guide explains how to list roles a user can assume using the Vultr API.

1. Identify the `user_id` of the user. Follow the steps in [How to List All Users in an Organization](https://docs.vultr.com/platform/iam/organizations/how-to-list-all-users-in-an-organization) to retrieve user IDs.

1. Send a `GET` request to the [**List Assumable Roles** endpoint](https://www.vultr.com/api/#tag/iam/operation/list-iam-assumable-roles) to retrieve all roles the user can assume. Replace `{user-id}` with the id of the user.

    ```console
    $ curl "https://api.vultr.com/v2/role-trusts/assumable/{user-id}" \
        -X GET \
        -H "Authorization: Bearer ${VULTR_API_KEY}"
    ```

    The response contains the requested resources.